
/***********************************************************************
* Copyright 1998-2020 CERN for the benefit of the EvtGen authors       *
*                                                                      *
* This file is part of EvtGen.                                         *
*                                                                      *
* EvtGen is free software: you can redistribute it and/or modify       *
* it under the terms of the GNU General Public License as published by *
* the Free Software Foundation, either version 3 of the License, or    *
* (at your option) any later version.                                  *
*                                                                      *
* EvtGen is distributed in the hope that it will be useful,            *
* but WITHOUT ANY WARRANTY; without even the implied warranty of       *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
* GNU General Public License for more details.                         *
*                                                                      *
* You should have received a copy of the GNU General Public License    *
* along with EvtGen.  If not, see <https://www.gnu.org/licenses/>.     *
***********************************************************************/

#include "EvtGenBase/EvtConst.hh"

#include "EvtGenBase/EvtPatches.hh"

const double EvtConst::pi = 3.14159265358979323846;
const double EvtConst::twoPi = 2.0 * pi;
const double EvtConst::radToDegrees = 180.0 / pi;

const double EvtConst::c = 2.99792458E11;       // mm/sec
const double EvtConst::Fermi = 1.1663787E-5;    // Fermi coupling constant, GeV^-2
